## org.eclipse.ocl
Class AmbiguousLookupException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ocl.ParserException
                  org.eclipse.ocl.SemanticException
                      org.eclipse.ocl.LookupException
                          org.eclipse.ocl.AmbiguousLookupException

All Implemented Interfaces:
  Serializable

    public class AmbiguousLookupException

extends LookupException

A specialized `LookupException` denoting specifically that the problem is multiple ambiguous results.

Since:
  1.2
See Also:
  `LookupException.getAmbiguousMatches()`, Serialized Form

Constructor Summary
`AmbiguousLookupException(String msg, List<?> matches)` Initializes me with a user-friendly message describing the nature of the lookup that resulted in multiple ambiguous matches.
`AmbiguousLookupException(String msg, Object firstMatch, Object secondMatch, Object... otherMatches)` Initializes me with a user-friendly message describing the nature of the lookup failure and at least two objects that were ambiguous matches.

Method Summary

Methods inherited from class org.eclipse.ocl.LookupException
`getAmbiguousMatches, getMatches`

Methods inherited from class org.eclipse.ocl.ParserException
`getDiagnostic`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AmbiguousLookupException

    public AmbiguousLookupException(String msg,
                                    List<?> matches)

  Initializes me with a user-friendly message describing the nature of the lookup that resulted in multiple ambiguous matches.

  Parameters:
    `msg` - the exception message
    `matches` - the objects found by the lookup

### AmbiguousLookupException

    public AmbiguousLookupException(String msg,
                                    Object firstMatch,
                                    Object secondMatch,
                                    Object... otherMatches)

  Initializes me with a user-friendly message describing the nature of the lookup failure and at least two objects that were ambiguous matches.

  Parameters:
    `msg` - the exception message
    `firstMatch` - the first object found by the look-up
    `secondMatch` - the second object found by the look-up
    `otherMatches` - any further objects found by the look-up

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.